## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyType

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyType

All Implemented Interfaces:
  GroovyType

    public class SimpleGroovyType

extends Object
implements GroovyType

Constructor Summary
`SimpleGroovyType(String typeName)`

Method Summary
`GroovyClassDoc` `asClassDoc()`
`String` `dimension()`
`String` `fullDottedName()`
`boolean` `isPrimitive()`
`String` `qualifiedTypeName()`
`String` `simpleTypeName()`
`String` `typeName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleGroovyType

    public SimpleGroovyType(String typeName)

Method Detail

### typeName

    public String typeName()

  Specified by:
    `typeName` in interface `GroovyType`

### asClassDoc

    public GroovyClassDoc asClassDoc()

  Specified by:
    `asClassDoc` in interface `GroovyType`

### dimension

    public String dimension()

  Specified by:
    `dimension` in interface `GroovyType`

### isPrimitive

    public boolean isPrimitive()

  Specified by:
    `isPrimitive` in interface `GroovyType`

### qualifiedTypeName

    public String qualifiedTypeName()

  Specified by:
    `qualifiedTypeName` in interface `GroovyType`

### simpleTypeName

    public String simpleTypeName()

  Specified by:
    `simpleTypeName` in interface `GroovyType`

### fullDottedName

    public String fullDottedName()

  Specified by:
    `fullDottedName` in interface `GroovyType`

Copyright © 2003-2008 The Codehaus. All rights reserved.